/* ====================================================================
 * Copyright (c) 2008       Martin Hauner
 *                          http://subcommander.tigris.org
 *
 * Subcommander is licensed as described in the file doc/COPYING, which
 * you should have received as part of this distribution.
 * ====================================================================
 */

#ifndef _MOVE_TEST_H
#define _MOVE_TEST_H

// sc
#include "util/String.h"
class TestRepository;
namespace svn {
  class Client;
}

// cppunit
#include <cppunit/TestFixture.h>
#include <cppunit/extensions/HelperMacros.h>


class MoveTest : public CppUnit::TestCase 
{
  CPPUNIT_TEST_SUITE( MoveTest );
  CPPUNIT_TEST( move );
  CPPUNIT_TEST_SUITE_END(); 
  
public:
  void setUp();
  void tearDown();
  
  // Tests
  void move();

private:
  const sc::String path(const char*);

  // state
  TestRepository* _test;
  svn::Client*    _client;

  class StatusBaton;
};

#endif // _MOVE_TEST_H
